<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_amxbans
 *
 * Odpowiada za edycje amxbansów
 */
class Controller_admin_amxbans extends Controller_admin
{	

	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct('acp_amxbans');
	}
	
	/**
	 * Wyświetla formularz do edytowania amxbansa
	 *
	 * 
	 */
	public function action_edit_box()
	{
		$data    = Core::amxbans()->getAmxBans(Core::request()->post('id'));
		
		Core::view()->assign('data',    $data);
		Core::ajax()->assign('title',   $data['id'] ? $data['name'] : 'Błąd');
		Core::ajax()->assign('message', Core::view()->execute('admin/amxbans/edit', TRUE));
		Core::ajax()->send();
	}
	
	/**
	 * Edytuje amxbansa
	 *
	 * @access public 
	 */
	public function action_edit()
	{
		$data = Core::request()->post();
		$result = Core::amxbans()->edit($data['id'], $data);
		
		Core::ajax()->assign('result',  $result[0] ? 'success' : 'error');
		Core::ajax()->assign('message', $result[1]);
		
		if($result[0])
		{
			Logs::add("Edytował amxbansa {$data['name']}", Member::logged(), 'amxbans');
		}
		
		Core::ajax()->send();
	}
	
	
	/**
	 * Wyświetla formularz do dodawania amxbansa
	 *
	 *
	 */
	public function action_add_box()
	{
		Core::ajax()->assign('title',   'Dodawanie amxbansa');
		Core::ajax()->assign('message', Core::view()->execute('admin/amxbans/add', TRUE));
		Core::ajax()->send();
	}
	
	/**
	 * Dodaje nowego amxbansa
	 *
	 * @access public
	 */
	public function action_add()
	{
		$data    = Core::request()->post();
		$result = Core::amxbans()->add($data);
		
		Core::ajax()->assign('result',  $result[0] ? 'success' : 'error');
		Core::ajax()->assign('message', $result[1]);
		
		if($result[0])
		{
			Logs::add("Dodaj amxbansa {$data['name']}", Member::logged(), 'amxbans');
		}
		
		Core::ajax()->send();
	}
	
	/**
	 * Usuwa amxbansa...
	 *
	 * @access public
	 */
	public function action_delete()
	{
		$aid = Core::request()->post('id');
		$amxbans = new AmxBans();
		
		$result = $amxbans->deleteAmxBans($aid);
		
		Core::ajax()->assign('result',  $result[0] ? 'success' : 'error');
		Core::ajax()->assign('message', $result[1]);
		
		if($result[0])
		{
			Logs::add("Usunął amxbansa: {$aid}", Member::logged(), 'amxbans');
		}
			
		
		Core::ajax()->send();
	}
}