<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_groups
 *
 * Odpowiada za grupy
 */
class Controller_admin_groups extends Controller_admin
{	

	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct('acp_groups');
	}

	/**
	 * Box dodawania grup
	 *
	 * @access public
	 */
	public function action_add_box()
	{
		Core::ajax()->assign('title', 'Dodawanie nowej grupy');
		Core::ajax()->assign('message', Core::view()->execute('admin/groups/add', TRUE));
		Core::ajax()->send();
	}
	
	/**
	 * Box Edytowania grup
	 *
	 * @access public
	 */
	public function action_edit_box()
	{
		$id = Core::request()->post('id');
		
		Core::view()->assign('group', Member::getGroup($id));
	
		Core::ajax()->assign('title', 'Edytowanie grupy');
		Core::ajax()->assign('message', Core::view()->execute('admin/groups/edit', TRUE));
		Core::ajax()->send();
	}
	
	/**
	 * Dodaje grupe
	 *
	 * @access public
	 */
	public function action_add()
	{
		$access = $this->access_connect(Core::request()->post());
		
		$result = Member::addGroup(Core::request()->post('group_name'), Core::request()->post('group_style'), $access);
		
		Core::ajax()->assign('result',  $result[0] ? 'success' : 'error' );
		Core::ajax()->assign('message', $result[1]);
		
		if($result[0])
		{
			$name = Core::request()->post('group_name');
			Logs::add("Dodał grupe {$name}", Member::logged(), 'group');
		}
		
		Core::ajax()->send();
	}
	
	/**
	 * Edytuje grupe
	 *
	 * @access public
	 */
	public function action_edit()
	{
		$access = $this->access_connect(Core::request()->post());
		
		$result = Member::editGroup(Core::request()->post('group_name'), Core::request()->post('group_style'), $access, Core::request()->post('id'));
		
		Core::ajax()->assign('result',  $result[0] ? 'success' : 'error' );
		Core::ajax()->assign('message', $result[1]);
		
		if($result[0])
		{
			$name = Core::request()->post('group_name');
			Logs::add("Edytował grupe {$name}", Member::logged(), 'group');
		}
		
		Core::ajax()->send();
	}
	
	/**
	 * Usuwa grupe
	 *
	 * @access public
	 */
	public function action_delete()
	{
		$id = Core::request()->post('id');
		$delete_result = Member::deleteGroup($id);
		
		Core::ajax()->assign('result',  $delete_result[0] ? 'success' : 'error');
		Core::ajax()->assign('message', $delete_result[1] . ($delete_result[0] ? '<script>menu(\'groups\', $(\'.groups\'));</script>' : ''));
		
		if($delete[0])
		{
			Logs::add("Usunął grupe {$id}", Member::logged(), 'group');
		}
		
		Core::ajax()->send();
	}
	
	/**
	 * Łączy uprawnienia
	 *
	 * @param array
	 *
	 * @access public
	 * @return array
	 */
	public function access_connect($selected)
	{
		$_return_access = array();
		foreach(Member::getAccessList() as $access_name)
		{
			$_return_access[$access_name] = (isset($selected[$access_name]) && $selected[$access_name] == 'on') ?  1 : 0;
		}
		return $_return_access;
	}
}