<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_member_service
 *
 * Odpowiada za zakupione usługi.
 */
class Controller_member_service extends Controller_member
{	

	/**
	 * Konstruktor
	 *
	 */
	public function __construct()
	{
		parent::__construct( TRUE );
	}

	/**
	 * Wyświetla formularz przedłużania usługi.
	 *
	 * @access public
	 */
	public function action_extend()
	{
		$id = Core::request()->post('id');
		$data = Service::getFromBuyCache($id);
		
		
		
		Core::ajax()->assign('title', 'Nieznana usługa');
		$msg = '<div class="error">Taka usługa nie istnieje</div>';
		
		if(count($data))
		{
			Core::ajax()->assign('title', 'Przedłużanie usługi ' . $data['name']);
			
			$option = '';

			for($i=$data['min_day']; $i<=$data['max_day']; $i++)
			{
				$option .= '<option value="'.$i.'">'.$i.'</option>';
			}
			$cost = round($data['cost_per_day'], 2);
			$msg =<<< HTML
			<center style="padding: 15px"> <b>Koszt usługi za jeden dzień wynosi: {$cost} PLN </b> <br/>Przedłuż usługę o <select name="day">{$option}</select> dni </center> 
HTML;

		}
		
		Core::ajax()->assign('message', $msg);
		Core::ajax()->send();
	}
	
	/**
	 * Przedłuża usługę
	 *
	 * @access public
	 */
	public function action_do_extend()
	{
		// Dane...
		$id  = Core::request()->post('id');
		$day = Core::request()->post('day');
		
		// Pobierzmy usługę z cache
		$data = Service::getFromBuyCache($id);
		
		// Sprawdźmy czy liczba dnia jest poprawna
		if( $day > $data['max_day'] or $day < $data['min_day'] )
		{ // Jeśli nie.
			$message = 'Zakres dni na jaki możesz przedłużyć usługę wynosi ' . $data['min_day'] . ' do ' . $data['max_day'];
		}
		else
		{ // Jeśli tak.
		
			// Obliczmy koszt usługi
			$cost = $day * round($data['cost_per_day'], 2);
			
			// Sprawdźmy czy użytkownik ma wystarczającą ilość pieniędzy
			if($cost > Member::get('wallet'))
			{ // Jeśli nie
				$message = 'Nie masz wystarczającej ilości pieniędzy';
			}
			else
			{ // Jeśli tak
			 
				// Przedłużmy usługę
				Service::insertBuy($data['member_id'], $data['service_id'], $data['amxbans_member_id'], $day);
			
				// wiadomość wyświetlana
				$message = 'Przedłużono usługę, koszt ' . $cost . ' PLN';
				
				// Log dodany do panelu użytkownika
				MLogs::add("Przedłużono usługę {$data['name']} o {$day} dni, cena: {$cost} PLN", 'wallet', Member::logged());
				
				// Log dodany do panelu administracyjnego
				Logs::add("Przedłużył usługę {$data['name']} o {$day} dni", Member::logged(), 'bought');
				
				// Zaktualizjmy portfel
				Member::update(Member::logged(), 'wallet', Member::get('wallet') - $cost);
			}
		}
		
		Core::ajax()->assign('message', $message);
		Core::ajax()->send();
 	}
}