<?php
	// Administracyjne logi
	$admin = isset($log_admin) && $log_admin ? true : false;
?>
<div class="img_bar" style="<?php echo $admin ? '' : 'margin-top: 20px' ?>"><?php echo $log_title ?></div>
<script>
// Usuwanie logów
$(document).ready(function(){
	$('.delete').click(function(){
		var img = $(this);
		var id  = img.attr('delete-id');
		var row = img.parent().parent().find('td');
		
		$.ajax({
			url: core.getConfig('base_url') + <?php echo $admin ? "'admin/log/delete'" : "'member/index/delete_log'" ?>,
			data: {id: id},
			type: 'POST',
			dataType: 'JSON',
			
			success: function(r){	
				if(r.result == 'success'){
					row.slideToggle(400, function(){
						row.parent().remove();
						
						if(!$('tr.log').length){
							$('table.table_log').append(
								$(document.createElement('tr')).addClass('log').html('<td colspan="3"><?php echo addslashes($log_empty) ?></td>')
							);
						}
						
					});
				}
				
				notif(r.message, 2000);
			}
		});
	});
	
});
</script>

<?php
if($admin)
{

$section = Core::request()->post('section', 'setting'); 

?>

<script>
$(document).ready(function(){
	$('.tab').click(function(){
		var card = $(this).attr('card');
		menu('logs', $('.log'), {section: card});
	});
});
</script>

<div class="tab <?php echo $section == 'setting' ? 'active' : '' ?>" card="setting" style="margin-left: 20px">Ustawienia</div>
<div class="tab <?php echo $section == 'member' ? 'active' : ''  ?>" card="member">Użytkownicy</div>
<div class="tab <?php echo $section == 'amxbans' ? 'active' : '' ?>" card="amxbans">AmxBans</div>
<div class="tab <?php echo $section == 'code' ? 'active' : ''    ?>" card="code">Kody premium</div>
<div class="tab <?php echo $section == 'group' ? 'active' : ''   ?>" card="group">Grupy</div>
<div class="tab <?php echo $section == 'service' ? 'active' : '' ?>" card="service">Usługi</div>
<div class="tab <?php echo $section == 'wallet' ? 'active' : ''  ?>" card="wallet">Portfel</div>
<div class="tab <?php echo $section == 'bought' ? 'active' : ''  ?>" card="bought">Zakupy</div>

<?php
}
?>
<table class="table table_log">

	<tr class="header">
		<?php
		if($admin)
		{
			echo '<td style="width: 15%">Od</td>';
		}
		?>
		<td width="60%"></td>
		<td width="<?php echo $admin ? 20 : 25 ?>%">Wysłano...</td>
		<td width="5%"></td>
	</tr>
	
	<?php
		// Pobierzmy wszystkie logi dla danej sekcji i ustawmy że przeczytano :)
		if($admin)
		{
			$logs = Logs::getAll( Core::request()->post('section', 'setting') );
		}
		else
		{
			$logs = MLogs::get(Member::logged(), $log_section);
					MLogs::setStatusToActive(Member::logged(), $log_section);
		}
		
		// Jeśli jakiś log istnieje
		if(count($logs))
		{
			// Pobierzmy czas...
			$time = time();
		
			// adres strony
			$site = Core::$site;
		
			// Czas wyświetlić...
			foreach($logs as $log)
			{
				$log['time'] = Date::format($log['time']);
				
				$class = '';
				if(!$admin)
				{
					$class = $log['status'] ? '' : 'label';
				}
				
				echo "<tr class='log'>";
				
				if($admin)
				{
					$display_name = Member::getDisplayName($log['admin_id']);
					echo "<td>{$display_name}<br/><i style='font-size: 10px'>({$log['ip']})</i></td>";
				}
				
				echo "<td><span class='{$class}'>{$log['message']}</span></td>";
				echo "<td>{$log['time']}</td>";
				echo "<td><img delete-id='{$log['id']}' class='delete' src='{$site}media/image/delete.png' /></td>";
				echo "</tr>";
				
			}
		}
		// Jeśli nie ma żadnych logów
		else
		{
			echo "<tr><td colspan='3'>{$log_empty}</td></tr>";
		}
	?>
	
</table>