<?php defined('SYSPATH') or die('No direct script access.');

abstract class Logs
{
	/**
	 * Dodaje log...
	 * 
	 * @param string
	 * @param integer
	 * @return bool
	 */
	static public function add($message, $admin_id, $section)
	{
		// Przygotujmy zapytanie...
		$query = Core::db()->prepare('INSERT INTO `logs_` VALUES(NULL, ?, ?, ?, ?, ?)');
		
		// Wyślijmy zapytanie
		$query->execute(array($admin_id, $message, time(), Core::request()->getAddr(), $section));
		
		// Zwróćmy ile rekordów zostało dodanych.
		return $query->rowCount();
	}
	
	/**
	 * Usuwa log
	 *
	 * @param integer
	 * @return bool
	 */
	static public function delete($lid)
	{
		$stmt = Core::db()->prepare('DELETE FROM `logs_` where `id` = ?');
		$stmt->execute(array($lid));
		
		return $stmt->rowCount();
	}
	
	/**
	 * Zwraca wszystkie logi
	 *
	 * @return array
	 */
	static public function getAll($section = 'setting')
	{
		$stmt = Core::db()->prepare('SELECT * FROM `logs_` where `section` = ? ORDER BY `id` DESC');
		$stmt->execute(array($section));
		
		return $stmt->fetchAll();
	}
}