<?php defined('SYSPATH') or die('No direct script access.');

class Payments_DotPay
{
	/**
	 * Sprawdza poprawność kodu sms...
	 *
	 * @param  $sms    string kod sms
	 * @param  $numer  string opcjonalnie, numer na który został wysłany sms
	 * @param  $code   string opcjonalnie, treść smsa jaką wysłał użytkownik
	 *
	 * @access public
	 * @return float Kwota jaką ma zostać zasilony portfel
	 
		dotpay_identyfikator -- identyfikator usług SMS
		dotpay_id -- numer ID zarejestrowanego klienta
		
	 */
	public function check($sms, $numer = NULL, $code = NULL)
	{
		$url = curl_init();
		curl_setopt($url, CURLOPT_URL, 'https://ssl.dotpay.pl/check_code_fullinfo.php');
		curl_setopt($url, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($url, CURLOPT_SSL_VERIFYHOST, 2);
		curl_setopt($url, CURLOPT_FOLLOWLOCATION, 1);
		curl_setopt($url, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($url, CURLOPT_TIMEOUT, 100);
		curl_setopt($url, CURLOPT_POST, 1);
		curl_setopt($url, CURLOPT_POSTFIELDS, array(
			'check' => $sms,
			'code'  => Core::setting()->get('dotpay_identyfikator'),
			'id'    => Core::setting()->get('dotpay_id'),
			'type'  => 'sms',
			'del'   => '1'
		));
		
		curl_setopt($url, CURLOPT_RETURNTRANSFER, true); 
		$exec_data = curl_exec($url);
		curl_close($url);
		
		if(!$exec_data)
		{
			return array(0.0, 'Nie można nawiązać połączenia');
		}
		
		$exec_data = explode("\n", $exec_data);
		
		if($exec_data[0] == 0)
		{
			return array(0.0, 'Podany kod nie jest prawidłowy');
		}
		else
		{		
			return array($exec_data[3], 'Konto zostało doładowane');
		}
	}
	
	
	/**
	 * Stawki sms
	 *
	 *
	 * @access public
	 * @return array zwraca tablice ze stawkami sms(numer, koszt, tresc)
	 */
	public function rates()
	{
		$rates   = array();
		
		              //Numer | koszt | do portfela trafi...
		$rates[] = array(70068, 0.61,  0.25);
		$rates[] = array(71068, 1.23,  0.5);
		$rates[] = array(72068, 2.46,  1);
		$rates[] = array(73068, 3.69,  1.5);
		$rates[] = array(74068, 4.92,  2);
		$rates[] = array(75068, 6.15,  2.5);
		$rates[] = array(76068, 7.38,  3);
		$rates[] = array(79068, 11.07, 4.5);
		$rates[] = array(91058, 12.30, 5);
		$rates[] = array(91758, 20.91, 8.5);
		$rates[] = array(91958, 23.37, 9.5);
		$rates[] = array(92058, 24.60, 10);
		$rates[] = array(92578, 30.75, 12.5);
		
		$_return = array();
		foreach($rates as $rate)
		{
			$_return[] = array(
				'numer'    => $rate[0],
				'text_sms' => 'AP.'. Core::setting()->get('dotpay_identyfikator'),
				'cost'	   => $rate[1],
				'amount'   => $rate[2] 
			);
		}
		
		return $_return;
	}
}
?>