<?php defined('SYSPATH') or die('No direct script access.');
abstract class Core
{
	/**
	 * Objekty...
	 * @static array
	 */
	static $instances = array();
	
	/**
	 * Adres strony
	 * @static string
	 */
	static $site = '';
	
	/**
	 * Autoload class initialize
	 *
	 * @param string
	 * @param string
	 */
	static public function auto_load($class, $directory = 'system')
	{
		$path = $directory . '/' . str_replace('_', '/', $class) . '.php';
		if(  file_exists($path) )
		{
			// Load the class file
			require_once $path;
			

			// Class has been found
			return TRUE;
		}
		
		// Class is not in the filesystem
		return	$directory <> 'system' ? false : Core::auto_load($class, 'modules');
	}
	
	/**
	 * Tworzy i zwraca obiekt klasy
	 *
	 * @param string
	 * @return object
	 * @access static
	 */
	static public function get($class_name)
	{
		$c = strtolower($class_name);
		if(!isset(Core::$instances[$c]))
		{
			Core::$instances[$c] = new $class_name;
		}
		
		return Core::$instances[$c];
	}
	
	/**
	 * Zwraca uchwyt bazy PDO
	 *
	 * @access static
	 * @return object
	 */
	static public function db()
	{
		// return
		return Core::get('database');
	}
	
	/**
	 * Zwraca uchwyt ustawień
	 *
	 * @access static
	 * @return object
	 */
	static public function setting()
	{
		// return
		return Core::get('Settings');
	}
	
	/**
	 * Zwraca uchwyt danych wejściowych
	 *
	 * @access static
	 * @return object
	 */
	static public function request()
	{
		// return
		return Core::get('Request');
	}
	
	/**
	 * Zwraca uchwyt wyglądu
	 *
	 * @access static
	 * @return  object
	 */
	static public function view()
	{
		// return
		return Core::get('View');
	}
	
	/**
	 * Zwraca uchwyt klasy ajax
	 * 
	 * @access static
	 * @return object
	 */
	static public function ajax()
	{
		// return
		return Core::get('Ajax');
	}
	
	/**
	 * Zwraca uchwyt amxbansa
	 * 
	 * @access static
	 * @return object
	 */
	static public function amxbans()
	{
		// return
		return Core::get('AmxBans');
	}
}